Bug 492497 - coredumping
coredumping
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Adel Gadllah
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-26 20:05 EDT by Zdenek Kabelac
Modified: 2010-05-05 13:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-05 13:07:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zdenek Kabelac 2009-03-26 20:05:51 EDT
Description of problem:

I discovered some compiz coredumps on my system:

This one seems to indicate damaged watchFds list.

#0  doPoll (timeout=<value optimized out>) at display.c:1366
1366		for (i = core.nWatchFds - 1, w = core.watchFds; w; i--, w = w->next)
#0  doPoll (timeout=<value optimized out>) at display.c:1366
#1  0x0000000000411517 in eventLoop () at display.c:1812
#2  0x000000000040bc4b in main (argc=1627371536, argv=0x7fff60ffb800) at main.c:446
(gdb) print core
$1 = {base = {type = 0, privates = 0x11483d0, parent = 0x0}, displays = 0x109d470, tmpRegion = 0x108db30, outputRegion = 0x108dc50, fileWatch = 0x0, 
  lastFileWatchHandle = 1, timeouts = 0x11449f0, lastTimeout = {tv_sec = 1238100639, tv_usec = 628727}, lastTimeoutHandle = 62, watchFds = 0x11691d0, 
  lastWatchFdHandle = 8, watchPollFds = 0x1160720, nWatchFds = 6, initPluginForObject = 0x7f3454afeb30 <gconfInitPluginForObject>, 
  finiPluginForObject = 0x40c0a0 <finiCorePluginForObject>, setOptionForPlugin = 0x7f34527666d0 <cubeSetOptionForPlugin>, 
  objectAdd = 0x7f3453387080 <decorObjectAdd>, objectRemove = 0x7f3453387140 <decorObjectRemove>, fileWatchAdded = 0x40c0d0 <fileWatchAdded>, 
  fileWatchRemoved = 0x40c0e0 <fileWatchRemoved>, sessionEvent = 0x4293c0 <sessionEvent>, logMessage = 0x40b4f0 <logMessage>}
(gdb) print w
$2 = (CompWatchFd *) 0x20

Version-Release number of selected component (if applicable):
compiz-gnome-0.7.8-14.fc11.x86_64
compiz-fusion-0.7.8-6.fc11.x86_64
compiz-fusion-gnome-0.7.8-6.fc11.x86_64
compiz-debuginfo-0.7.8-14.fc11.x86_64
compiz-0.7.8-14.fc11.x86_64


How reproducible:
no idea - I usually enable it for short time - just to check some functionality of Xrender extension. Coredump seems to happen when Compiz is being closed as I have not experienced this crash while using it.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bug Zapper 2009-06-09 08:43:05 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Matěj Cepl 2009-11-05 13:23:52 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 4 Matěj Cepl 2009-11-17 07:02:00 EST
Switching incorrect assignees to the default one.
Comment 5 Matěj Cepl 2010-02-26 07:17:48 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 6 Bug Zapper 2010-04-27 09:20:49 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Zdenek Kabelac 2010-05-05 06:14:49 EDT
I do not see this problem with current upstream version of compiz package:
compiz-fusion-0.8.6-1.fc14.x86_64
compiz-gnome-0.8.6-1.fc14.x86_64
compiz-0.8.6-1.fc14.x86_64
compiz-debuginfo-0.8.6-1.fc14.x86_64
compiz-fusion-gnome-0.8.6-1.fc14.x86_64

Bug may be probably closed as fixed.
Comment 8 Jeff Raber 2010-05-05 13:07:20 EDT
Closing as NEXTRELEASE as we don't know if this was ever fixed for F11.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.